﻿// <copyright file="Customer.cs" company="ANUJ Technologies Inc.">
// Copyright (c) 11-13-2011 All Right Reserved
// </copyright>
// <author>Anuj Varma, www.anujvarma.com</author>
// <date>11-13-2011</date>
// <summary>Class representing a Customer.cs entity.</summary>

using System;
using System.Collections.Generic;
using System.Text;

namespace VirtualMode_DataGridView.DomainObjects
{
    /// <summary>
    /// Contains two public properties - ContactName and CompanyName 
    /// </summary>
    public class Customer : IComparable
    {
        private String companyNameValue;
        private String contactNameValue;

        public Customer()
        {
            // Leave fields empty.
        }

        public Customer(String companyName, String contactName)
        {
            companyNameValue = companyName;
            contactNameValue = contactName;
        }

        static public int CompareIndex = 0;

        public int CompareTo(object obj)
        {
            // TODO:  Add Address.CompareTo implementation
            Customer cust1 = this;
            Customer cust2 = (Customer)obj;

            return cust1.ContactName[CompareIndex].CompareTo(cust2.ContactName[CompareIndex]);
        }

        public String CompanyName
        {
            get
            {
                return companyNameValue;
            }
            set
            {
                companyNameValue = value;
            }
        }

        public String ContactName
        {
            get
            {
                return contactNameValue;
            }
            set
            {
                contactNameValue = value;
            }
        }

    }

}
